package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchOperationLogConvert;
import com.docus.server.dto.scheduling.management.SchOperationLogDTO;
import com.docus.server.entity.scheduling.management.SchOperationLog;
import com.docus.server.infrastructure.dao.ISchOperationLogDao;
import com.docus.server.service.ISchOperationLogService;
import com.docus.server.vo.scheduling.management.SchOperationLogVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集调度器操作日志 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchOperationLogServiceImpl implements ISchOperationLogService {
    @Resource
    private ISchOperationLogDao iSchOperationLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchOperationLogVO findById(String id) {
        return SchOperationLogConvert.INSTANCE.convertVO(iSchOperationLogDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchOperationLogVO> search(SearchRequest searchRequest) {
        return SchOperationLogConvert.INSTANCE.convertVO(iSchOperationLogDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchOperationLogDTO schOperationLogDTO) {
        SchOperationLog schOperationLog = SchOperationLogConvert.INSTANCE.convertDO(schOperationLogDTO);
        return iSchOperationLogDao.add(schOperationLog);
    }

    /**
     * 编辑
     *
     * @param schOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchOperationLogDTO schOperationLogDTO) {
        SchOperationLog schOperationLog = SchOperationLogConvert.INSTANCE.convertDO(schOperationLogDTO);
        return iSchOperationLogDao.edit(schOperationLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchOperationLogDao.delete(ids);
    }
}

